package common.util;

public enum ReleaseType {
	DEV("dev", 3),
	ALPHA("alpha", 2),
	BETA("beta", 1),
	STABLE(null, 0);
	
	private final String suffix;
	private final int id;
	
	private ReleaseType(String suffix, int id) {
		this.suffix = suffix == null ? "" : "-" + suffix;
		this.id = id;
	}
	
	public String toString() {
		return this.suffix;
	}
	
	public int getId() {
		return this.id;
	}
}
